Package org.python.core

# Interface Opcode

public interface Opcode

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BINARY_ADD`
`static final int`
`BINARY_AND`
`static final int`
`BINARY_DIVIDE`
`static final int`
`BINARY_FLOOR_DIVIDE`
`static final int`
`BINARY_LSHIFT`
`static final int`
`BINARY_MODULO`
`static final int`
`BINARY_MULTIPLY`
`static final int`
`BINARY_OR`
`static final int`
`BINARY_POWER`
`static final int`
`BINARY_RSHIFT`
`static final int`
`BINARY_SUBSCR`
`static final int`
`BINARY_SUBTRACT`
`static final int`
`BINARY_TRUE_DIVIDE`
`static final int`
`BINARY_XOR`
`static final int`
`BREAK_LOOP`
`static final int`
`BUILD_CLASS`
`static final int`
`BUILD_LIST`
`static final int`
`BUILD_MAP`
`static final int`
`BUILD_SET`
`static final int`
`BUILD_SLICE`
`static final int`
`BUILD_TUPLE`
`static final int`
`CALL_FUNCTION`
`static final int`
`CALL_FUNCTION_KW`
`static final int`
`CALL_FUNCTION_VAR`
`static final int`
`CALL_FUNCTION_VAR_KW`
`static final int`
`COMPARE_OP`
`static final int`
`CONTINUE_LOOP`
`static final int`
`DELETE_ATTR`
`static final int`
`DELETE_FAST`
`static final int`
`DELETE_GLOBAL`
`static final int`
`DELETE_NAME`
`static final int`
`DELETE_SLICE`
`static final int`
`DELETE_SLICE_1`
`static final int`
`DELETE_SLICE_2`
`static final int`
`DELETE_SLICE_3`
`static final int`
`DELETE_SUBSCR`
`static final int`
`DUP_TOP`
`static final int`
`DUP_TOPX`
`static final int`
`END_FINALLY`
`static final int`
`EXEC_STMT`
`static final int`
`EXTENDED_ARG`
`static final int`
`FOR_ITER`
`static final int`
`GET_ITER`
`static final int`
`HAVE_ARGUMENT`
`static final int`
`IMPORT_FROM`
`static final int`
`IMPORT_NAME`
`static final int`
`IMPORT_STAR`
`static final int`
`INPLACE_ADD`
`static final int`
`INPLACE_AND`
`static final int`
`INPLACE_DIVIDE`
`static final int`
`INPLACE_FLOOR_DIVIDE`
`static final int`
`INPLACE_LSHIFT`
`static final int`
`INPLACE_MODULO`
`static final int`
`INPLACE_MULTIPLY`
`static final int`
`INPLACE_OR`
`static final int`
`INPLACE_POWER`
`static final int`
`INPLACE_RSHIFT`
`static final int`
`INPLACE_SUBTRACT`
`static final int`
`INPLACE_TRUE_DIVIDE`
`static final int`
`INPLACE_XOR`
`static final int`
`JUMP_ABSOLUTE`
`static final int`
`JUMP_FORWARD`
`static final int`
`JUMP_IF_FALSE_OR_POP`
`static final int`
`JUMP_IF_TRUE_OR_POP`
`static final int`
`LIST_APPEND`
`static final int`
`LOAD_ATTR`
`static final int`
`LOAD_CLOSURE`
`static final int`
`LOAD_CONST`
`static final int`
`LOAD_DEREF`
`static final int`
`LOAD_FAST`
`static final int`
`LOAD_GLOBAL`
`static final int`
`LOAD_LOCALS`
`static final int`
`LOAD_NAME`
`static final int`
`MAKE_CLOSURE`
`static final int`
`MAKE_FUNCTION`
`static final int`
`MAP_ADD`
`static final int`
`NOP`
`static final int`
`POP_BLOCK`
`static final int`
`POP_JUMP_IF_FALSE`
`static final int`
`POP_JUMP_IF_TRUE`
`static final int`
`POP_TOP`
`static final int`
`PRINT_EXPR`
`static final int`
`PRINT_ITEM`
`static final int`
`PRINT_ITEM_TO`
`static final int`
`PRINT_NEWLINE`
`static final int`
`PRINT_NEWLINE_TO`
`static final int`
`PyCmp_BAD`
`static final int`
`PyCmp_EQ`
`static final int`
`PyCmp_EXC_MATCH`
`static final int`
`PyCmp_GE`
`static final int`
`PyCmp_GT`
`static final int`
`PyCmp_IN`
`static final int`
`PyCmp_IS`
`static final int`
`PyCmp_IS_NOT`
`static final int`
`PyCmp_LE`
`static final int`
`PyCmp_LT`
`static final int`
`PyCmp_NE`
`static final int`
`PyCmp_NOT_IN`
`static final int`
`RAISE_VARARGS`
`static final int`
`RETURN_VALUE`
`static final int`
`ROT_FOUR`
`static final int`
`ROT_THREE`
`static final int`
`ROT_TWO`
`static final int`
`SET_ADD`
`static final int`
`SETUP_EXCEPT`
`static final int`
`SETUP_FINALLY`
`static final int`
`SETUP_LOOP`
`static final int`
`SETUP_WITH`
`static final int`
`SLICE`
`static final int`
`SLICE_1`
`static final int`
`SLICE_2`
`static final int`
`SLICE_3`
`static final int`
`STOP_CODE`
`static final int`
`STORE_ATTR`
`static final int`
`STORE_DEREF`
`static final int`
`STORE_FAST`
`static final int`
`STORE_GLOBAL`
`static final int`
`STORE_MAP`
`static final int`
`STORE_NAME`
`static final int`
`STORE_SLICE`
`static final int`
`STORE_SLICE_1`
`static final int`
`STORE_SLICE_2`
`static final int`
`STORE_SLICE_3`
`static final int`
`STORE_SUBSCR`
`static final int`
`UNARY_CONVERT`
`static final int`
`UNARY_INVERT`
`static final int`
`UNARY_NEGATIVE`
`static final int`
`UNARY_NOT`
`static final int`
`UNARY_POSITIVE`
`static final int`
`UNPACK_SEQUENCE`
`static final int`
`WITH_CLEANUP`
`static final int`
`YIELD_VALUE`

## Field Details

### STOP_CODE

static final int STOP_CODE

See Also:
  - Constant Field Values

### POP_TOP

static final int POP_TOP

See Also:
  - Constant Field Values

### ROT_TWO

static final int ROT_TWO

See Also:
  - Constant Field Values

### ROT_THREE

static final int ROT_THREE

See Also:
  - Constant Field Values

### DUP_TOP

static final int DUP_TOP

See Also:
  - Constant Field Values

### ROT_FOUR

static final int ROT_FOUR

See Also:
  - Constant Field Values

### NOP

static final int NOP

See Also:
  - Constant Field Values

### UNARY_POSITIVE

static final int UNARY_POSITIVE

See Also:
  - Constant Field Values

### UNARY_NEGATIVE

static final int UNARY_NEGATIVE

See Also:
  - Constant Field Values

### UNARY_NOT

static final int UNARY_NOT

See Also:
  - Constant Field Values

### UNARY_CONVERT

static final int UNARY_CONVERT

See Also:
  - Constant Field Values

### UNARY_INVERT

static final int UNARY_INVERT

See Also:
  - Constant Field Values

### BINARY_POWER

static final int BINARY_POWER

See Also:
  - Constant Field Values

### BINARY_MULTIPLY

static final int BINARY_MULTIPLY

See Also:
  - Constant Field Values

### BINARY_DIVIDE

static final int BINARY_DIVIDE

See Also:
  - Constant Field Values

### BINARY_MODULO

static final int BINARY_MODULO

See Also:
  - Constant Field Values

### BINARY_ADD

static final int BINARY_ADD

See Also:
  - Constant Field Values

### BINARY_SUBTRACT

static final int BINARY_SUBTRACT

See Also:
  - Constant Field Values

### BINARY_SUBSCR

static final int BINARY_SUBSCR

See Also:
  - Constant Field Values

### BINARY_FLOOR_DIVIDE

static final int BINARY_FLOOR_DIVIDE

See Also:
  - Constant Field Values

### BINARY_TRUE_DIVIDE

static final int BINARY_TRUE_DIVIDE

See Also:
  - Constant Field Values

### INPLACE_FLOOR_DIVIDE

static final int INPLACE_FLOOR_DIVIDE

See Also:
  - Constant Field Values

### INPLACE_TRUE_DIVIDE

static final int INPLACE_TRUE_DIVIDE

See Also:
  - Constant Field Values

### SLICE

static final int SLICE

See Also:
  - Constant Field Values

### SLICE_1

static final int SLICE_1

See Also:
  - Constant Field Values

### SLICE_2

static final int SLICE_2

See Also:
  - Constant Field Values

### SLICE_3

static final int SLICE_3

See Also:
  - Constant Field Values

### STORE_SLICE

static final int STORE_SLICE

See Also:
  - Constant Field Values

### STORE_SLICE_1

static final int STORE_SLICE_1

See Also:
  - Constant Field Values

### STORE_SLICE_2

static final int STORE_SLICE_2

See Also:
  - Constant Field Values

### STORE_SLICE_3

static final int STORE_SLICE_3

See Also:
  - Constant Field Values

### DELETE_SLICE

static final int DELETE_SLICE

See Also:
  - Constant Field Values

### DELETE_SLICE_1

static final int DELETE_SLICE_1

See Also:
  - Constant Field Values

### DELETE_SLICE_2

static final int DELETE_SLICE_2

See Also:
  - Constant Field Values

### DELETE_SLICE_3

static final int DELETE_SLICE_3

See Also:
  - Constant Field Values

### STORE_MAP

static final int STORE_MAP

See Also:
  - Constant Field Values

### INPLACE_ADD

static final int INPLACE_ADD

See Also:
  - Constant Field Values

### INPLACE_SUBTRACT

static final int INPLACE_SUBTRACT

See Also:
  - Constant Field Values

### INPLACE_MULTIPLY

static final int INPLACE_MULTIPLY

See Also:
  - Constant Field Values

### INPLACE_DIVIDE

static final int INPLACE_DIVIDE

See Also:
  - Constant Field Values

### INPLACE_MODULO

static final int INPLACE_MODULO

See Also:
  - Constant Field Values

### STORE_SUBSCR

static final int STORE_SUBSCR

See Also:
  - Constant Field Values

### DELETE_SUBSCR

static final int DELETE_SUBSCR

See Also:
  - Constant Field Values

### BINARY_LSHIFT

static final int BINARY_LSHIFT

See Also:
  - Constant Field Values

### BINARY_RSHIFT

static final int BINARY_RSHIFT

See Also:
  - Constant Field Values

### BINARY_AND

static final int BINARY_AND

See Also:
  - Constant Field Values

### BINARY_XOR

static final int BINARY_XOR

See Also:
  - Constant Field Values

### BINARY_OR

static final int BINARY_OR

See Also:
  - Constant Field Values

### INPLACE_POWER

static final int INPLACE_POWER

See Also:
  - Constant Field Values

### GET_ITER

static final int GET_ITER

See Also:
  - Constant Field Values

### PRINT_EXPR

static final int PRINT_EXPR

See Also:
  - Constant Field Values

### PRINT_ITEM

static final int PRINT_ITEM

See Also:
  - Constant Field Values

### PRINT_NEWLINE

static final int PRINT_NEWLINE

See Also:
  - Constant Field Values

### PRINT_ITEM_TO

static final int PRINT_ITEM_TO

See Also:
  - Constant Field Values

### PRINT_NEWLINE_TO

static final int PRINT_NEWLINE_TO

See Also:
  - Constant Field Values

### INPLACE_LSHIFT

static final int INPLACE_LSHIFT

See Also:
  - Constant Field Values

### INPLACE_RSHIFT

static final int INPLACE_RSHIFT

See Also:
  - Constant Field Values

### INPLACE_AND

static final int INPLACE_AND

See Also:
  - Constant Field Values

### INPLACE_XOR

static final int INPLACE_XOR

See Also:
  - Constant Field Values

### INPLACE_OR

static final int INPLACE_OR

See Also:
  - Constant Field Values

### BREAK_LOOP

static final int BREAK_LOOP

See Also:
  - Constant Field Values

### WITH_CLEANUP

static final int WITH_CLEANUP

See Also:
  - Constant Field Values

### LOAD_LOCALS

static final int LOAD_LOCALS

See Also:
  - Constant Field Values

### RETURN_VALUE

static final int RETURN_VALUE

See Also:
  - Constant Field Values

### IMPORT_STAR

static final int IMPORT_STAR

See Also:
  - Constant Field Values

### EXEC_STMT

static final int EXEC_STMT

See Also:
  - Constant Field Values

### YIELD_VALUE

static final int YIELD_VALUE

See Also:
  - Constant Field Values

### POP_BLOCK

static final int POP_BLOCK

See Also:
  - Constant Field Values

### END_FINALLY

static final int END_FINALLY

See Also:
  - Constant Field Values

### BUILD_CLASS

static final int BUILD_CLASS

See Also:
  - Constant Field Values

### HAVE_ARGUMENT

static final int HAVE_ARGUMENT

See Also:
  - Constant Field Values

### STORE_NAME

static final int STORE_NAME

See Also:
  - Constant Field Values

### DELETE_NAME

static final int DELETE_NAME

See Also:
  - Constant Field Values

### UNPACK_SEQUENCE

static final int UNPACK_SEQUENCE

See Also:
  - Constant Field Values

### FOR_ITER

static final int FOR_ITER

See Also:
  - Constant Field Values

### LIST_APPEND

static final int LIST_APPEND

See Also:
  - Constant Field Values

### STORE_ATTR

static final int STORE_ATTR

See Also:
  - Constant Field Values

### DELETE_ATTR

static final int DELETE_ATTR

See Also:
  - Constant Field Values

### STORE_GLOBAL

static final int STORE_GLOBAL

See Also:
  - Constant Field Values

### DELETE_GLOBAL

static final int DELETE_GLOBAL

See Also:
  - Constant Field Values

### DUP_TOPX

static final int DUP_TOPX

See Also:
  - Constant Field Values

### LOAD_CONST

static final int LOAD_CONST

See Also:
  - Constant Field Values

### LOAD_NAME

static final int LOAD_NAME

See Also:
  - Constant Field Values

### BUILD_TUPLE

static final int BUILD_TUPLE

See Also:
  - Constant Field Values

### BUILD_LIST

static final int BUILD_LIST

See Also:
  - Constant Field Values

### BUILD_SET

static final int BUILD_SET

See Also:
  - Constant Field Values

### BUILD_MAP

static final int BUILD_MAP

See Also:
  - Constant Field Values

### LOAD_ATTR

static final int LOAD_ATTR

See Also:
  - Constant Field Values

### COMPARE_OP

static final int COMPARE_OP

See Also:
  - Constant Field Values

### IMPORT_NAME

static final int IMPORT_NAME

See Also:
  - Constant Field Values

### IMPORT_FROM

static final int IMPORT_FROM

See Also:
  - Constant Field Values

### JUMP_FORWARD

static final int JUMP_FORWARD

See Also:
  - Constant Field Values

### JUMP_IF_FALSE_OR_POP

static final int JUMP_IF_FALSE_OR_POP

See Also:
  - Constant Field Values

### JUMP_IF_TRUE_OR_POP

static final int JUMP_IF_TRUE_OR_POP

See Also:
  - Constant Field Values

### JUMP_ABSOLUTE

static final int JUMP_ABSOLUTE

See Also:
  - Constant Field Values

### POP_JUMP_IF_FALSE

static final int POP_JUMP_IF_FALSE

See Also:
  - Constant Field Values

### POP_JUMP_IF_TRUE

static final int POP_JUMP_IF_TRUE

See Also:
  - Constant Field Values

### LOAD_GLOBAL

static final int LOAD_GLOBAL

See Also:
  - Constant Field Values

### CONTINUE_LOOP

static final int CONTINUE_LOOP

See Also:
  - Constant Field Values

### SETUP_LOOP

static final int SETUP_LOOP

See Also:
  - Constant Field Values

### SETUP_EXCEPT

static final int SETUP_EXCEPT

See Also:
  - Constant Field Values

### SETUP_FINALLY

static final int SETUP_FINALLY

See Also:
  - Constant Field Values

### LOAD_FAST

static final int LOAD_FAST

See Also:
  - Constant Field Values

### STORE_FAST

static final int STORE_FAST

See Also:
  - Constant Field Values

### DELETE_FAST

static final int DELETE_FAST

See Also:
  - Constant Field Values

### RAISE_VARARGS

static final int RAISE_VARARGS

See Also:
  - Constant Field Values

### CALL_FUNCTION

static final int CALL_FUNCTION

See Also:
  - Constant Field Values

### MAKE_FUNCTION

static final int MAKE_FUNCTION

See Also:
  - Constant Field Values

### BUILD_SLICE

static final int BUILD_SLICE

See Also:
  - Constant Field Values

### MAKE_CLOSURE

static final int MAKE_CLOSURE

See Also:
  - Constant Field Values

### LOAD_CLOSURE

static final int LOAD_CLOSURE

See Also:
  - Constant Field Values

### LOAD_DEREF

static final int LOAD_DEREF

See Also:
  - Constant Field Values

### STORE_DEREF

static final int STORE_DEREF

See Also:
  - Constant Field Values

### CALL_FUNCTION_VAR

static final int CALL_FUNCTION_VAR

See Also:
  - Constant Field Values

### CALL_FUNCTION_KW

static final int CALL_FUNCTION_KW

See Also:
  - Constant Field Values

### CALL_FUNCTION_VAR_KW

static final int CALL_FUNCTION_VAR_KW

See Also:
  - Constant Field Values

### SETUP_WITH

static final int SETUP_WITH

See Also:
  - Constant Field Values

### EXTENDED_ARG

static final int EXTENDED_ARG

See Also:
  - Constant Field Values

### SET_ADD

static final int SET_ADD

See Also:
  - Constant Field Values

### MAP_ADD

static final int MAP_ADD

See Also:
  - Constant Field Values

### PyCmp_LT

static final int PyCmp_LT

See Also:
  - Constant Field Values

### PyCmp_LE

static final int PyCmp_LE

See Also:
  - Constant Field Values

### PyCmp_EQ

static final int PyCmp_EQ

See Also:
  - Constant Field Values

### PyCmp_NE

static final int PyCmp_NE

See Also:
  - Constant Field Values

### PyCmp_GT

static final int PyCmp_GT

See Also:
  - Constant Field Values

### PyCmp_GE

static final int PyCmp_GE

See Also:
  - Constant Field Values

### PyCmp_IN

static final int PyCmp_IN

See Also:
  - Constant Field Values

### PyCmp_NOT_IN

static final int PyCmp_NOT_IN

See Also:
  - Constant Field Values

### PyCmp_IS

static final int PyCmp_IS

See Also:
  - Constant Field Values

### PyCmp_IS_NOT

static final int PyCmp_IS_NOT

See Also:
  - Constant Field Values

### PyCmp_EXC_MATCH

static final int PyCmp_EXC_MATCH

See Also:
  - Constant Field Values

### PyCmp_BAD

static final int PyCmp_BAD

See Also:
  - Constant Field Values